:root{
    --color-background: #fff;
    --color-text: #000;
    --color-border: #ccc;
    --color-placeholder: #000;
    --color-primary: #000;
    --color-primary-hover: #ffe600;
    --color-link: rgb(0, 0, 255);
    --color-divider: #000;
    --color-floating-label: #ffd000;
    --color-white: #ffd000;
    --color-error-text: #ff0000;
    --color-info-container-background: #000;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Oswald", Verdana, Geneva, Tahoma, sans-serif;
}
html {
    background-image: url("/assets/2024-04-27_23.34.11.png");
}

body{
    color: var(--color-text);
}

.container{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    padding: 20px;
}

.form-container{
    position: relative;
    background-color: var(--color-white);
    padding: 50px 40px;
    width: 100%;
    max-width: 450px;
    border-radius: 15px;
    box-shadow: 0 5px 5px #000;
    border: 1px solid var(--color-border);
    overflow: hidden;
}

.form-header p {
    color: var(--color-placeholder);
}

.form-header h1 {
    font-size: 32px;
}

.form-box {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 50px;
}

small span {
    color: #ff0000;
}

.input-group {
    position: relative;
    display: flex;
}

.input-field {
    height: 48px;
    padding-inline: 14px;
    border: 1px solid var(--color-border);
    border-radius: 6px;
    width: 100%;
    outline: none;
}

#password {
    padding-right: 38px;
}

.status-label {
    position: relative;
    font-size: 12px;
    text-align: center;
    margin-bottom: -35px;
    color: var(--color-error-text);
}

.floating-label {
    position: absolute;
    top: 50%;
    left: 8px;
    transform: translateY(-50%);
    color: var(--color-placeholder);
    background-color: #fff;
    padding-inline: 6px;
    transition: all .3s ease;
    pointer-events: none;
}

.input-field:focus ~ .floating-label,
.input-field:not(:placeholder-shown) ~ .floating-label {
    top: 0;
    left: 8px;
    transform: translateY(-50%);
    font-size: 12px;
    color: var(--color-primary);
}

.input-field:focus {
    border-color: var(--color-primary);
}

.input-field:not(:focus):not(:placeholder-shown) ~ .floating-label {
    color: var(--color-floating-label);
}

.eye-icon{
    position: absolute;
    right: 15px;
    display: flex;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.checkbox-group{
    display: flex;
    justify-content: space-between;
    gap: 10px;
    font-size: 14px;
}

.remember-me {
    display: flex;
    align-items: center;
    gap: 5px;
}

.form-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    height: 48px;
    background: none;
    border: none;
    border-radius: 16px;
    cursor: pointer;
    padding-inline: 8px;
}

.form-btn--submit {
    background-color: var(--color-primary);
    color: var(--color-white);
    font-size: 16px;
    font-weight: 600;
    margin-top: 20px;
    transition: background-color .3s ease;
}

.form-btn--submit:hover {
    background-color: var(--color-background);
    color: #000;
}

.form-bottom {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin-top: 20px;
}

.form-container .adv {
    display: flex;
    position: relative;
    justify-self: center;
    margin-top: 10px;
    margin-bottom: -20px;
    font-weight: 300;
    font-size: 12px;
    color: var(--color-primary);
}

.form-divider {
    display: flex;
    align-items: center;
    gap: 20px;
    font-size: 14px;
    color: var(--color-placeholder);
    margin-top: 20px;
}

.form-divider:before,
.form-divider::after {
    content: "";
    flex: 1;
    height: 1px;
    background-color: var(--color-divider);
}

.form-link{
    color: var(--color-link);
}

.form-link:hover{
    text-decoration: none;
}

.form-blob {
    position: absolute;
    width: 200px;
    height: 200px;
    top: 0;
    right: 0;
    z-index: 0;
}

.blob-image{
    position: absolute;
    rotate: 205deg;
    pointer-events: none;
    opacity: 0;
    transform: scale(0.5) translateX(100px);
}
.blob-image--1 {
    top: -170px;
    right: -150px;
    animation: welcomeIn 1.2s ease-out 0.3s forwards;
    --final-opacity: 1;
}
.blob-image--2 {
    top: -165px;
    right: -150px;
    animation: welcomeIn 1.2s ease-out 0.6s forwards;
    --final-opacity: 0.6;
}
.blob-image--3 {
    top: -160px;
    right: -150px;
    animation: welcomeIn 1.2s ease-out 0.9s forwards;
    --final-opacity: 0.3;
}

@keyframes welcomeIn {
    0% {
        opacity: 0;
        transform:  scale(0.5) translateX(100px) rotate(180deg);
    }
    60% {
        opacity: calc(var(--final-opacity) * 0.8);
        transform:  scale(1.1) translateX(-10px) rotate(200deg);
    }
    100% {
        opacity: calc(var(--final-opacity));
        transform:  scale(1) translateX(0px) rotate(205deg);
    }
}

.info-container {
    position: absolute;
    display: flex;
    justify-content: center;
    width: 35%;
    justify-self: center;
    height: 95px;
    background-color: var(--color-info-container-background);
    align-items: center;
    margin-top: 5px;
    border-radius: 9px;
    padding: 3px;
    animation: fadeInfo .4s ease-in;
    z-index: 10000;
}

@keyframes fadeInfo {
    0% {
        transform: translateY(-110%);
    }
    60% {
        transform: translateY(0%);
    }
}

.info-icon {
    position: relative;
    font-size: 250%;
    padding-left: 10px;
}
.info-content-container {
    position: relative;
    padding-left: 50px;
}

.info-content-container p {
    display: flex;
}

.info-err-message {
    font-size: 10px;
}

.hidden {
    display: none;
}

@media (max-width: 480px) {
    .form-container{
        padding: 60px 30px;
    }
}







.card {
    overflow: hidden;
    position: fixed;
    right: 50%;
    top: 50%;
    background-color: #ffffff;
    text-align: left;
    border-radius: 0.5rem;
    max-width: 290px;
    box-shadow:
        0 20px 25px -5px rgba(0, 0, 0, 0.4),
        0 10px 10px -5px rgba(0, 0, 0, 0.6);
    transform: translate(50%, -50%);
    z-index: 10000;
    border-top: 0.2px solid #000;
}

.header {
    padding: 1.25rem 1rem 1rem 1rem;
    background-color: #ffffff;
}

.image {
    display: flex;
    margin-left: auto;
    margin-right: auto;
    background-color: #fee2e2;
    flex-shrink: 0;
    justify-content: center;
    align-items: center;
    width: 3rem;
    height: 3rem;
    border-radius: 9999px;
}

.image svg {
    color: #dc2626;
    width: 1.5rem;
    height: 1.5rem;
}

.content {
    margin-top: 0.75rem;
    text-align: center;
}

.title {
    color: #111827;
    font-size: 1rem;
    font-weight: 600;
    line-height: 1.5rem;
}

.message {
    margin-top: 0.5rem;
    color: #6b7280;
    font-size: 0.875rem;
    line-height: 1.25rem;
}

.actions {
    margin: 0.75rem 1rem;
    background-color: #f9fafb;
}

.cancel {
    display: inline-flex;
    margin-top: 0.75rem;
    padding: 0.5rem 1rem;
    background-color: #ffffff;
    color: #374151;
    font-size: 1rem;
    line-height: 1.5rem;
    font-weight: 500;
    justify-content: center;
    width: 100%;
    border-radius: 0.375rem;
    border: 1px solid #d1d5db;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
    transition: .3s ease all;
}
.cancel:hover {
    box-shadow:
        0 20px 25px -5px rgba(0, 0, 0, 0.4),
        0 10px 10px -5px rgba(0, 0, 0, 0.1);
}

button {
    cursor: pointer;
}
